/* Font Typeface Start */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700;900&display=swap');
/* Font Typeface End  */

body{
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    line-height: 1.7;
    color: $color-grey;
}

.heading-primary{
    color: $color-white;
    text-transform: uppercase;
    margin: 0 0 6rem;
    backface-visibility: hidden;

    &--main{
    display: block;
    font-size: 6rem;
    font-weight: 400;
    letter-spacing: 3.5rem;

    // Animation 
    animation-name: moveInLeft;
    animation-duration: 1s;
    animation-timing-function: ease-out;

        @include respond(phone){
            font-size: 5rem;
            letter-spacing: 1rem;
        }
    }

    &--sub{
    display: block;
    font-size: 1.8rem;
    font-weight: 700;
    letter-spacing: 1.7rem;

    // Animation Shorthand 
    animation: moveInRight 1s ease-out;


        @include respond(phone){
            letter-spacing: .5rem;
        }
    }
}


.heading-secondary{
    font-size: 3.5rem;
    text-transform: uppercase;
    font-weight: 700;

    // Make a Gradient Text Background
    display: inline-block;
    background-image: linear-gradient(to right, $color-primary-light, $color-primary-dark);
    -webkit-background-clip: text;
    color: transparent;

    letter-spacing: .2rem;
    transition: all .2s;

    &:hover{
        // Transform Scale & skew might not work if the display is inline
        transform: skewY(2deg) skewX(10deg) scale(1.1);
        text-shadow: .5rem 1rem 2rem rgba($color-black, .2);
    }

    @include respond(tab-port){
        font-size: 3rem;
    }

    @include respond(phone){
        font-size: 2.5rem;
    }
}

.heading-tertiary {
    font-size: $default-font-size;
    font-weight: 700;
    text-transform: uppercase;
}

.paragraph{
    font-size: $default-font-size;
    text-align: left;

    &:not(:last-child){
        margin: 0 0 3rem;
    }
}